'FFSubmenu=Skalieren
'FFName=Bilderweiterung

'(c) Harald Maeckler, Dsseldorf 2017
' ***********************************************************************
' Bilderweiterung.vbs (Skript fr FixFoto)
' Erweiterung von Bildern auf ein Belichterformat durch einen Rand
' ***********************************************************************
' Version 1.02 vom 20.10.2017	- Auswahl erweitert um 'aktuelles Bild auf der Arbeitsflche'
' Version 1.02 vom 15.10.2017	- Option 'Erweiterung nur Rechts und Unten'
' Version 1.01 vom 14.10.2017	- Bug bei der Fehlerliste behoben
' Version 1.00 vom 13.10.2017	- Betaversion
' ***********************************************************************

'**Start Encode**

Option Explicit

'Updatekonstanten und Variable
const SkriptVersion = "1.03"
const SkriptURL = "http://www.ffsf.de/resources/bilderweiterung.362/"
Dim UrlVersion,UrlV_Zahl,SkriptV_Zahl,SkriptEnde

'allgemeine Konstanten und Variable
const ForReading = 1, ForWriting = 2
Dim Abbruch,Antwort,element,n,Anzeige

'Spezifische Konstanten und Variable
const Rd_Farbe = "255 255 255"
const AWtexte = "alle Bilder der Computeransicht|markierte Bilder der Computeransicht|alle Bilder der aktiven Bilderliste|markierte Bilder der aktiven Bilderliste|aktuelles Bild auf der Arbeitsflche"
Dim AWarray,Auswahl
Dim flag_Suffix,flag_Praefix,flag_RechtsUnten
Dim Belichter,Bildformat,BLarray,FormatIndex
Dim Bsoll,Hsoll,DPIsoll,Bist,Hist

'Objekte
Dim objFS,WshShell
Set objFS = CreateObject("Scripting.FileSystemObject")
Set WshShell = CreateObject("WScript.Shell")

'Lschroutine
Dim SkriptKill,TempFile	 : SkriptKill = false
Dim SkriptName
const Skript = "Bilderweiterung"					'Skriptname
const RegSchluessel = "FF_Bilderweiterung"			'Registryschlssel

' ***********************************************************************
call main
Set WshShell = Nothing
Set objFS = Nothing
' ***********************************************************************
Sub main

on error resume next							'Kontrolle ob Skript in FF-Umgebung gestartet wurde
	FF_GetScriptPath
 	if err <> 0 then
		msgbox "Das Skript funktioniert nur in der Programmumgebung von FixFoto!",vbCritical,"Abbruch"
		exit sub
	end if
on error goto 0

if objFS.FileExists(FF_GetScriptPath & "\" & Skript & ".vbs") then
	SkriptName = Skript & ".vbs"
elseif objFS.FileExists(FF_GetScriptPath & "\" & Skript & ".vbe") then
	SkriptName = Skript & ".vbe"
else
	msgbox "Das Skript wurde umbenannt!",vbCritical,"Abbruch"
	exit sub
end if

'** Start Dialog Bilderweiterung **
FF_AddDialog "Bilderweiterung",265,88
FF_AddControl "Bilderweiterung","Bildauswahl","GROUP",5,5,125,25
FF_AddControl "Bilderweiterung","Belichterauswahl","GROUP",135,5,125,47
FF_AddControl "Bilderweiterung","Bilderauswahl","COMBO",12,15,110,10
FF_AddControl "Bilderweiterung","Erweiterung nur rechts und unten","STATIC",7,31,86,10
FF_AddControl "Bilderweiterung","flag_RechtsUnten","BOOL",95,32,8,8
FF_AddControl "Bilderweiterung","Speichern mit 'BE' als Prfix","STATIC",7,41,70,10
FF_AddControl "Bilderweiterung","flag_Praefix","BOOL",78,42,8,8
FF_SetControlStyle "Bilderweiterung","flag_Praefix",16384
FF_AddControl "Bilderweiterung","oder Suffix","STATIC",89,41,28,10
FF_AddControl "Bilderweiterung","flag_Suffix","BOOL",120,42,8,8
FF_SetControlStyle "Bilderweiterung","flag_Suffix",16384
FF_AddControl "Bilderweiterung","Belichter","COMBO",142,15,110,10
FF_AddControl "Bilderweiterung","Bildformat","COMBO",142,31,110,10
FF_AddControl "Bilderweiterung","Fortschritt","PROGRESS",5,56,255,4
FF_AddControl "Bilderweiterung","?","BUTTON",6,68,11,11
FF_AddControl "Bilderweiterung","|","STATIC",19,68,22,11
FF_SetControlStyle "Bilderweiterung","|",1
FF_AddControl "Bilderweiterung","Update","BUTTON",43,68,33,11
FF_AddControl "Bilderweiterung","Unterbrechung mit Taste","STATIC",84,68,62,11
FF_AddControl "Bilderweiterung","BACKSPACE","BUTTON",145,69,38,9
FF_AddControl "Bilderweiterung","Abbrechen","BUTTON",190,68,33,11
FF_AddControl "Bilderweiterung","Start","BUTTON",226,68,33,11
FF_AddControl "Bilderweiterung","&delete","BUTTON",0,0,1,1
'** End Dialog Bilderweiterung **


AWarray = split(AWtexte,"|")
for Auswahl = 0 to ubound(AWarray)
	FF_SetControl "Bilderweiterung","Bilderauswahl",AWarray(Auswahl)
next

BLarray = split(FF_PSGetList,vbNewLine)		'Belichter
for each element in BLarray
	FF_SetControl "Bilderweiterung","Belichter",element
next

call RegistryLesen

Belichter = FF_GetControl("Bilderweiterung","Belichter")
for n = 0 to FF_PSGetFormatCount(Belichter) - 1
	FF_SetControl "Bilderweiterung","Bildformat",FF_PSGetFormatName(Belichter,n)
next
if len(Bildformat) > 0 then FF_SetControl "Bilderweiterung","Bildformat",Bildformat

'Tooltips																	'###
if Version_OK("3.30.06") then
	FF_SetControlTooltip "Bilderweiterung","?", "" &_
						 "Anzeige der Kurzbeschreibung"
	FF_SetControlTooltip "Bilderweiterung","Update", "" &_
						 "Prfung ob eine neue Version vorliegt"
	FF_SetControlTooltip "Bilderweiterung","BACKSPACE", "" &_
						 "mit Taste BACKSPACE kann die Bearbeitung" & vbNewLine &_
						 "unterbrochen werden"
	FF_SetControlTooltip "Bilderweiterung","Abbrechen", "" &_
						 "Skript beenden"
	FF_SetControlTooltip "Bilderweiterung","Start", "" &_
						 "Starten der Anwendung"
end if

if Version_OK("3.40.52") then FF_SetTooltipDelay 2500
FF_SetDialogTimer "Bilderweiterung", 100
FF_ActivateControl "Bilderweiterung","&delete"

do
	Abbruch = false
	Select Case FF_ShowDialog ("Bilderweiterung")
	Case "TIMER"
		FF_SetDialogTimer "Bilderweiterung", 0
		FF_SetControl "Bilderweiterung" ,"|", "V " & Skriptversion
	Case "&delete"
		Antwort = msgbox("Soll das Skript " & SkriptName & vbNewline & _
						 "wirklich gelscht werden?", _
						 vbYesNo + vbQuestion,"Sicherheitsabfrage")
		if Antwort = vbYes then
			SkriptKill = true
			exit do
		end if
	Case "flag_Praefix"
		FF_SetControl "Bilderweiterung","flag_Praefix",1
		FF_SetControl "Bilderweiterung","flag_Suffix",0
	Case "flag_Suffix"
		FF_SetControl "Bilderweiterung","flag_Praefix",0
		FF_SetControl "Bilderweiterung","flag_Suffix",1
	Case "Belichter"
		Belichter = FF_GetControl("Bilderweiterung","Belichter")
		FF_SetControl "Bilderweiterung","Bildformat",""
		for n = 0 to FF_PSGetFormatCount(Belichter) - 1
			FF_SetControl "Bilderweiterung","Bildformat",FF_PSGetFormatName(Belichter,n)
		next
	Case "?"
		'FF_SetControl "Bilderweiterung","Fortschritt",65	'############## nur fr Screenshot
		Anzeige = chr(34) & FF_GetScriptPath & "\MeckiScript\Bilderweiterung\Bilderweiterung.pdf" & chr(34)
		on error resume next
		WshShell.Run Anzeige,1,false
		if err <> 0 then
			msgbox "Die Kurzbeschreibung konnte nicht als PDF-Datei geffnet werden." & vbNewLine & _
				   "Die Datei ist gelscht oder es ist kein PDF-Reader installiert (?).",vbExclamation,"Hinweis"
			err.clear
		end if
		on error GoTo 0
	Case "Update"
		if InternetConnection then
			SkriptEnde = false
			call Update
			if SkriptEnde then exit do
		end if
	Case "Abbrechen","CANCEL"
		exit do
	Case "Start"
		call Werte_auslesen
		call Kontrolle
		if not Abbruch then
			call Schleife
			exit do
		end if

	End Select
loop

call RegistrySchreiben
FF_CloseDialog ("Bilderweiterung")
if SkriptKill then			'ggf. Skript komplett entfernen
	call KillSkript
end if

end sub
'------------------------------------------------------------------------
Sub Schleife
Dim bilder,bild_array,Anz,AnzB,Btemp
Dim VertErw,HorErw,RD_FarbArray
Dim sDir,sFileName,sBaseName,sExt,Speichername,Fehlerliste

if Auswahl < 4 then
	bilder = FF_GetSelection(Auswahl)
	if len(bilder) = 0 then
		select case Auswahl
			case 0	'0 = alle Bilder der Computeransicht
				msgbox "Keine Bilder im Computerverzeichnis zu finden!",vbInformation,"Abbruch"
			case 1	'1 = selekt. Bilder der Computeransicht
				msgbox "Im Computerverzeichnis sind keine Bilder markiert!",vbInformation,"Abbruch"
			case 2	'2 = alle Bilder der Bilderliste
				msgbox "Keine Bilder in der aktuellen Bilderliste zu finden!",vbInformation,"Abbruch"
			case 3	'3 = selektierte Bilder der Bilderliste
				msgbox "In der aktuellen Bilderliste sind keine Bilder markiert!",vbInformation,"Abbruch"
		end select
		Abbruch = true : exit sub
	end if
	bild_array = split(bilder,vbNewline)
	Anz = ubound(bild_Array) +1
else
	'Bild auf der Arbeitsflche
	if FF_GetImageWidth = 0 then
		msgbox "Es wurde kein Bild auf die Arbeitsflche geladen!",vbInformation,"Abbruch"
		Abbruch = true : exit sub
	end if
	bild_array = split(FF_GetImageName(-1),vbNewline)
	Anz = 1
end if
AnzB = 0

For n = 0 to Anz -1
	if Auswahl < 4 then FF_LoadImage bild_Array(n)
	Bist = FF_GetImageWidth *1
	Hist = FF_GetImageHeight *1
	
	if not(Bist >= Hist and Bsoll >= Hsoll) then
		Btemp = Bsoll : Bsoll = Hsoll : Hsoll = Btemp
	end if

	if Bsoll >= Bist and Hsoll >= Hist then
		
		VertErw = (Hsoll - Hist) \ 2
		HorErw	= (Bsoll - Bist) \ 2

		RD_FarbArray = split(Rd_Farbe," ")
		if flag_RechtsUnten = 1 then
			FF_ExtendCanvas 0,Bsoll - Bist,0,Hsoll - Hist,RD_FarbArray(0),RD_FarbArray(1),RD_FarbArray(2)
		else
			FF_ExtendCanvas HorErw,HorErw,VertErw,VertErw,RD_FarbArray(0),RD_FarbArray(1),RD_FarbArray(2)
		end if
		
		'Verzeichnis extrahieren
		sDir = objFS.GetParentFolderName(bild_Array(n))
		'Dateiname mit Dateiendung extrahieren
		sFileName = objFS.GetFileName(bild_Array(n))
		'Basisnamen ohne Dateityp extrahieren
		sBaseName = objFS.GetBaseName(bild_Array(n))
		'Erweiterung extrahieren
		sExt = objFS.GetExtensionName(bild_Array(n))
		
		'Speichername ermitteln
		if flag_Praefix = 1 then
			Speichername = sDir & "\BE_" & sFileName
		else
			Speichername = sDir & "\" & sBaseName & "_BE." & sExt
		end if
		
		FF_SetDPI DPIsoll
		FF_SaveImage Speichername,0
		AnzB = AnzB +1
		
	else
		sFileName = objFS.GetFileName(bild_Array(n))
		Fehlerliste = Fehlerliste & vbNewLine & sFileName
	end if

	'### Fortschrittsanzeige
	FF_SetControl "Bilderweiterung","Fortschritt",(n +1)/Anz*100

	'### Abbruch?
	if FF_CheckKey() = 8 then 	'8 = Backspace
		Antwort = msgbox("Von " & Anz & " Bildern wurden bisher " & n +1 & " Bilder bearbeitet." & vbNewLine & vbNewLine & _
						 "Soll die Bearbeitung abgebrochen werden?",vbYesNo or vbQuestion,"Abfrage")
		if Antwort = vbYes then exit sub
	end if
next

if Anz = AnzB then
	msgbox "Von " & Anz & " Bildern wurden " & AnzB & " bearbeitet.",vbInformation,"Schlussmeldung"
else
	WshShell.Popup  "Von " & Anz & " Bildern wurden " & AnzB & " bearbeitet." & vbNewLine & vbNewLine &_
			"Die folgenden Bilder waren zu gro:" & Fehlerliste,,"Schlussmeldung",vbInformation
end if

End Sub
'------------------------------------------------------------------------
Sub Werte_auslesen

Dim AuswahlWert

'Auswahl
'0 = alle Bilder der Computeransicht
'1 = selekt. Bilder der Computeransicht
'2 = alle Bilder der Bilderliste
'3 = selektierte Bilder der Bilderliste
'4 = aktuelles Bild auf der Arbeitsflche

AuswahlWert = FF_GetControl("Bilderweiterung","Bilderauswahl")
for Auswahl = 0 to ubound(AWarray)
	if AWarray(Auswahl) = Auswahlwert then exit for
next

flag_RechtsUnten  = FF_GetControl("Bilderweiterung","flag_RechtsUnten")

flag_Suffix  = FF_GetControl("Bilderweiterung","flag_Suffix")
flag_Praefix = FF_GetControl("Bilderweiterung","flag_Praefix")

Belichter  = FF_GetControl("Bilderweiterung","Belichter")
Bildformat = FF_GetControl("Bilderweiterung","Bildformat")

for n = 0 to FF_PSGetFormatCount(Belichter) - 1
	if Bildformat = FF_PSGetFormatName(Belichter,n) then
		FormatIndex = n : exit for
	end if
next

DPIsoll = FF_PSGetFormatDPI(Belichter,FormatIndex)
Bsoll = round(FF_PSGetFormatWidth(Belichter,FormatIndex)* DPIsoll / 2.54)  'px
Hsoll = round(FF_PSGetFormatHeight(Belichter,FormatIndex)* DPIsoll / 2.54) 'px

End Sub
'------------------------------------------------------------------------
Sub Kontrolle

'if flag_Beschnitt = 1 and BelichterName = "" then
'	msgbox "Es ist kein Belichter vorhanden!",vbExclamation,"Meldung"
'	Abbruch = true : exit sub
'end if

End Sub
'------------------------------------------------------------------------
Sub RegistryLesen
'Schlsselname = HKEY_CURRENT_USER\Software\Joachim Koopmann Software\FixFoto\Script\ & RegSchluessel

'### Werte auslesen

'Bildauswahl
Auswahl = FF_GetProfile (RegSchluessel,"Auswahl")
if Auswahl = "" then Auswahl = 1

'Option
flag_RechtsUnten = FF_GetProfile (RegSchluessel,"flag_RechtsUnten")
if flag_RechtsUnten = "" then flag_RechtsUnten = 0

'Speichern
flag_Suffix = FF_GetProfile (RegSchluessel,"flag_Suffix")
if flag_Suffix = "" then flag_Suffix = 1

flag_Praefix = FF_GetProfile (RegSchluessel,"flag_Praefix")
if flag_Praefix = "" then flag_Praefix = 0

'Belichterauswahl
Belichter = FF_GetProfile (RegSchluessel,"Belichter")
Bildformat = FF_GetProfile (RegSchluessel,"Bildformat")

'### Werte eintragen

'Bildauswahl
FF_SetControl "Bilderweiterung","Bilderauswahl",AWarray(Auswahl)

'Option
FF_SetControl "Bilderweiterung","flag_RechtsUnten",flag_RechtsUnten

'Speichern
FF_SetControl "Bilderweiterung","flag_Suffix",flag_Suffix
FF_SetControl "Bilderweiterung","flag_Praefix",flag_Praefix

'Belichterauswahl
if len(Belichter) > 0 then FF_SetControl "Bilderweiterung","Belichter",Belichter
if len(Bildformat) > 0 then FF_SetControl "Bilderweiterung","Bildformat",Bildformat

End Sub
'------------------------------------------------------------------------
Sub RegistrySchreiben
'Schlsselname = HKEY_CURRENT_USER\Software\Joachim Koopmann Software\FixFoto\Script\ & RegSchluessel

call Werte_Auslesen

'Werte schreiben
FF_WriteProfile RegSchluessel,"Auswahl",Auswahl
FF_WriteProfile RegSchluessel,"flag_RechtsUnten",flag_RechtsUnten
FF_WriteProfile RegSchluessel,"flag_Suffix",flag_Suffix
FF_WriteProfile RegSchluessel,"flag_Praefix",flag_Praefix
FF_WriteProfile RegSchluessel,"Belichter",Belichter
FF_WriteProfile RegSchluessel,"Bildformat",Bildformat

End Sub
'------------------------------------------------------------------------
'************************************************************************
'Internetverbindung ?
'************************************************************************
'------------------------------------------------------------------------
Function InternetConnection
 
Dim obj
Set obj = GetObject("winmgmts:Win32_PingStatus.address='" & "google.de" & "'")

if IsNull(obj.StatusCode) or obj.StatusCode <> 0 Then
   msgbox "Keine Internetverbindung!",vbInformation,"Hinweis"
   InternetConnection = false
else
   InternetConnection = true
end if
 
End Function
'------------------------------------------------------------------------
'************************************************************************
'Update-Funktion
'************************************************************************
'------------------------------------------------------------------------
Sub Update

call Versionsermittlung_url

if not Abbruch then
	SkriptV_Zahl = Replace(SkriptVersion,".","") *1
	
	if UrlV_Zahl = SkriptV_Zahl then
		msgbox "Die Version " & SkriptVersion & " ist aktuell!",vbInformation,"Versionsmeldung"
	elseif SkriptV_Zahl < UrlV_Zahl then
		Antwort = msgbox("Die Skriptversion " & SkriptVersion & " ist nicht mehr aktuell!" & vbNewLine &_
				"Es steht die Version " & UrlVersion & " zum Download bereit." & vbNewLine & vbNewLine & _
				"Soll die Downloadseite aufgerufen werden?",vbQuestion + vbYesNo,"Versionsmeldung")
		if Antwort = vbYes then
			on error resume next
			WshShell.Run SkriptUrl,1,false
			if err <> 0 then
				msgbox "Die Downloadseite wurde nicht gefunden!",vbExclamation,"Hinweis"
			else
				SkriptEnde = true
			end if
			on error goto 0
		end if
	else
		msgbox 	"Es liegt ein Fehler in den Versionsangaben vor." & vbNewLine &_
				"Die Skriptversion " & SkriptVersion & " ist grer als die auf" & vbNewLine &_
				"der Downloadseite angegebene Version " & UrlVersion & ".",vbInformation,"Fehlermeldung"
	end if
end if

End Sub
'------------------------------------------------------------------------
Sub Versionsermittlung_url

Dim Inhalt,Start,Zeit,pos1,pos2,n
Dim xml, Fehler
Fehler = false

on error resume next
Set xml = CreateObject("Microsoft.XMLHTTP")
xml.Open "Get",SkriptUrl,false
xml.Send

Inhalt = xml.responseText

if err > 0 then
	Fehler = true
else
	'Version suchen und anzeigen
	pos1 = instr(Inhalt,"Version:")
	if pos1 > 0 then
	
		pos2 = instr(pos1 ,Inhalt,"<br")
		if pos2 > 0 then
			UrlVersion = trim(mid(Inhalt,pos1,pos2-pos1))
			'Msgbox "Aktuell ist die " & UrlVersion,vbInformation,"Information"
		else
			Fehler = true
		end if
	else
		Fehler = true
	end if
end if

Set xml = nothing

if Fehler then
	msgbox  "Die Versionsangabe wurde nicht gefunden!" & vbNewLine &_
			"Mglicherweise funktioniert der Internetaufruf nicht." & vbNewLine & vbNewLine & _
			"Am besten nochmal probieren!",vbExclamation,"Fehlermeldung"
	Abbruch = true
	exit sub
end if

'Version als Zahl
pos1 = instr(UrlVersion," ")
if pos1 = 0 then pos1 = 7
UrlVersion = trim(mid(UrlVersion,pos1+1))
UrlV_Zahl = Replace(UrlVersion,".","") *1

End Sub
'------------------------------------------------------------------------
'************************************************************************
'Lschroutine
'************************************************************************
'------------------------------------------------------------------------
Sub KillSkript
'Skript mit allen Komponenten entfernen

Dim SPfad

'### FixFotoScript.ini bereinigen
TempFile = FF_GetFFPathEx(1) & "\FixFotoScript.ini"
if objFS.FileExists(TempFile) then
	call IniBereinigung
	if Abbruch then exit sub
else
	msgbox 	"Die Datei FixFotoScript.ini konnte nicht gefunden werden." & vbNewLine & _
			"Der Lschvorgang wird abgebrochen!",vbExclamation,"Hinweis"
	exit sub
end if

'### zip-Archiv auf Wunsch sichern, dann lschen
TempFile = FF_GetScriptPath & "\" & objFS.GetBaseName(Skriptname) & ".zip"
if objFS.FileExists(TempFile) then
	Antwort = msgbox("Soll das Archiv " & objFS.GetBaseName(Skriptname) & ".zip" & _
			 " gesichert werden?",vbYesNo + vbQuestion,"Sicherheitskopie")
	if Antwort = vbYes then
		SPfad = FF_EnterPath(true,"Wo soll die Sicherheitskopie angelegt werden?")
		if SPfad = "" then
			msgbox "Das Lschen des Skripts wird abgebrochen!",vbExclamation,"Hinweis"
			exit sub
		end if
		SPfad = SPfad & "\" & objFS.GetBaseName(Skriptname) & ".zip"
		objFS.CopyFile Tempfile, SPfad, true
	end if
	objFS.DeleteFile TempFile,true
end if

'### Skriptdatei lschen
TempFile = FF_GetScriptPath & "\" & Skriptname
objFS.DeleteFile TempFile,true

'### evtl. beigepackte bzw. erzeugte Dateien lschen
'TempFile = """" & FF_GetScriptPath & "\SetDate\SetDate.pdf" & """"			'Dateien
'if objFS.FileExists(TempFile) then objFS.DeleteFile TempFile,true

'### evtl. beigepackte bzw. erzeugte Ordner lschen
'TempFile = FF_GetScriptPath & "\MeckiScript\SetDate"						'Ordner
'if objFS.FolderExists(TempFile) then objFS.DeleteFolder TempFile,true

'### ggf. Registry-Daten lschen
TempFile = "HKEY_CURRENT_USER\Software\Joachim Koopmann Software\FixFoto\Script\" & RegSchluessel & "\"
WshShell.RegDelete(TempFile)

'### Fertigmeldung
msgbox "Das Skript" & Skriptname & vbNewLine & "wurde mit allen Komponenten gelscht!" & vbNewLine & _
	   "Es wird empfohlen die 'Automatische Skriptkonfiguration' aufzurufen.",vbExclamation,"Hinweis"

End Sub
'------------------------------------------------------------------------
Sub IniBereinigung
'FixFotoScript.ini - Bereinigung

Dim Zeile, zNr,Anfang, Ende, DateiTmp, ZielZeile, tmpString
DateiTmp =  FF_GetFFPathEx(1) & "\FixFotoScript.tmp"

'### Wo befindet sich der Eintrag zum Skript?
Set Zeile = objFS.OpenTextFile(TempFile, ForReading)

zNr = 0
do Until Zeile.AtEndOfStream
	tmpString = Zeile.ReadLine
	zNr = zNr + 1
	if tmpString = "[Script]" then Anfang = zNr
	if tmpString = "File=.\" & Skriptname then
		Ende = zNr
		exit do	
	end if
loop 
Zeile.Close

if Ende <= Anfang then
	msgbox 	"Die Datei FixFotoScript.ini konnte nicht bereinigt werden." & vbNewLine & _
		"Der Lschvorgang wird abgebrochen!",vbExclamation,"Hinweis"
	Abbruch = true
	exit sub
end if

'### Zeilen ohne skriptbezogene Zeilen in DateiTmp bertragen
Set Zeile = objFS.OpenTextFile(TempFile, ForReading)
Set ZielZeile  = objFS.CreateTextFile(DateiTmp, True)

zNr = 0
do Until Zeile.AtEndOfStream
	tmpString = Zeile.ReadLine
	zNr = zNr + 1
	if zNr < Anfang or zNr > Ende then
		ZielZeile.WriteLine tmpString
	end if
loop 

Zeile.Close
ZielZeile.Close

'### Umkopieren von DateiTmp nach FixFotoScript.ini (TempFile)
objFS.CopyFile DateiTmp, TempFile, True
objFS.DeleteFile (DateiTmp)

End Sub
'------------------------------------------------------------------------
'************************************************************************
'Standard-Funktionen
'************************************************************************
'------------------------------------------------------------------------
Function Version_OK(MinVersion)
dim VersNr

 VersNr=split(MinVersion,".")
 Version_OK=FF_GetMajor * 1000 + FF_GetMinor + FF_GetBuild / 1000 >=_
     		VersNr(0) * 1000 + VersNr(1) + VersNr(2) / 1000

End Function
'------------------------------------------------------------------------
